package org.ow2.odis.plugin;

import java.io.FileNotFoundException;

/**
 * <code>JarLoaderPluginMBean</code> interface 
 * @author olivier
 */
public interface JarLoaderPluginMBean {
    /**
     * Add a new path for a jar into the classpath.
     * @param jarName
     */
    void addJar(String jarName) throws FileNotFoundException;

    /**
     * Remove a path for a jar into the classpath.
     * @param jarName
     */
    void removeJar(String jarName);

    /**
     * Get the list of jar contain into the classpath.
     * @return 
     */
    String getListJar();
}
