 
package org.ow2.odis.proceed.admin;

import org.ow2.odis.exception.OdisException;

/**
 * The Class AdminCommandException.
 * @author tachkeni
 */
public class AdminCommandException extends OdisException {
    /** serialisation identity. */
    private static final long serialVersionUID = 1L;

    /**
     * Instantiates a new connexion exception.
     */
    public AdminCommandException() {
    }

    /**
     * The Constructor.
     * @param message the message
     */
    public AdminCommandException(final String message) {
        super(message);
    }

    /**
     * The Constructor.
     * @param cause the cause
     */
    public AdminCommandException(final Throwable cause) {
        super(cause);
    }

    /**
     * The Constructor.
     * @param message the message
     * @param cause the cause
     */
    public AdminCommandException(final String message, final Throwable cause) {
        super(message, cause);
    }
}
