package org.ow2.odis.proceed.admin.commands;

import org.ow2.odis.domain.Domain;

import org.ow2.odis.proceed.admin.AbstractAdminCommand;
import org.ow2.odis.proceed.admin.AdminCommandException;

public class InitByStringCommand extends AbstractAdminCommand {

	/**
 	 */
	public InitByStringCommand() {
		super("InitByString");
		setUsage(getName() + " <xml odis config> : deploy odis domain from an xml config.");
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see com.francetelecom.osgi.admin.commands.IAdminCommand#getCommandName()
	 */
	public String run(String commandArgs) throws AdminCommandException {

		StringBuffer sb = new StringBuffer();

		try {
			String odisConfig = commandArgs.trim(); // boundexception !!
			Domain.getInstance().initAndStartByStringLater(odisConfig);
			sb.append("initbystring done !");
		} catch (Exception e) {
			throw new AdminCommandException(e);
		}
		return sb.toString();
	}

}
